#!/bin/sh

OUTPUTDIR=$PWD
SAMPLEDIR=`dirname "$0"`
cd "$SAMPLEDIR"

CFLAGS="-I/usr/local/include"
LDFLAGS="-L/usr/local/lib -lTFORMer7"

case "$(uname -s)" in
"HPUX")
	# HPUX has dld instead of dl and requires libunalign
	CFLAGS="-DTEC_HPUX"
	LDFLAGS+=" -ldld -lunalign"
	;;

"Darwin")
	# Macintosh uses framework
	CFLAGS="-DTEC_MAC"
	LDFLAGS=" -framework TFORMer"
	;;

"AIX")
	CFLAGS="-DTEC_AIX"
	;;

*)
	CFLAGS="-DTEC_LINUX"
	;;
esac

#
# Compile
#
echo "Compiling the samples sources ..."
gcc -o $OUTPUTDIR/TFORMerSimpleX TFORMerSimpleX.c $CFLAGS $LDFLAGS

#
# Execute
#
if test $? -eq 0
then
	echo "Executing the sample ..."
	cd $OUTPUTDIR
	./TFORMerSimpleX
fi
