#!/bin/sh

OUTPUTDIR=$PWD
SAMPLEDIR=`dirname "$0"`
cd "$SAMPLEDIR"

if [ "$(uname -s)" = "Darwin" ]
then
	TFORMER_LIBS=/Library/Frameworks/TFORMer.framework/Libraries
	TFORMER_DATA=/Library/Frameworks/TFORMer.framework/Resources
else
	TFORMER_LIBS=/usr/local/lib
	TFORMER_DATA=/usr/local/share/TFORMer
fi

#
# Compile
#
echo "Compiling the samples sources ..."
if [ "$(which gmcs)" = "" ]
then
	cat <<EOF

Error:  missing C# compiler (gmcs)

Please install Mono (www.mono-project.com/) to build and run this sample!
EOF
	exit 1
fi
gmcs -out:$OUTPUTDIR/Program.exe Program.cs -r:$TFORMER_LIBS/TECIT.TFORMer.dll


#
# Execute
#
if test $? -eq 0
then
	echo "Executing the sample ..."
	cd $OUTPUTDIR
	MONO_PATH="$TFORMER_LIBS" mono --runtime=v4.0 Program.exe
fi

