#!/bin/sh

OUTPUTDIR=$PWD
SAMPLEDIR=`dirname "$0"`
cd "$SAMPLEDIR"

if [ "$(uname -s)" = "Darwin" ]
then
	TFORMER_LIBS=/Library/Frameworks/TFORMer.framework/Libraries
	TFORMER_DATA=/Library/Frameworks/TFORMer.framework/Resources
else
	TFORMER_LIBS=/usr/local/lib
	TFORMER_DATA=/usr/local/share/TFORMer
fi

TFORMER_CLASSPATH=$TFORMER_DATA/JTFORMer70.jar

#
# Compile
#
echo "Compiling the samples sources ..."
if [ "$(which java)" = "" ]
then
	cat <<EOF

Error:  missing Java compiler (javac)

Please install Java Development Kit to build and run this sample!
EOF
	exit 1
fi
mkdir -p $OUTPUTDIR/classes
javac -d $OUTPUTDIR/classes -cp $TFORMER_CLASSPATH src/com/tecit/TFORMer/examples/Program.java


#
# Execute
#
if test $? -eq 0
then
	echo "Executing the sample ..."
	cd $OUTPUTDIR
	java -Djava.library.path=$TFORMER_LIBS -cp ./classes:$TFORMER_CLASSPATH com.tecit.TFORMer.examples.Program
fi
