#!/bin/sh

echo ""
echo "This script collects some useful information about your TFORMer SDK installation."
echo "If you have problems with TFORMer you can send the information generated with script"
echo "to the TEC-IT support (support@tec-it.com) to get help with the product."
echo ""
echo "----------------------------------------------------"
echo ""
echo "Date: $(date)"
echo ""
echo "TFPrint Install Path:"
which tfprint
echo ""
echo "TFPrint Version:"
tfprint
echo ""
echo "TFPrint Dependencies:"
ldd `which tfprint`
echo ""
echo "System"
uname -a
echo ""
echo "TFPrint Directory:"
ls -l /usr/local/share/TFORMer/
ls -l /usr/local/bin/
ls -l /usr/local/lib/
ls -l /usr/local/include/
echo ""
echo "TFPrint licensing information:"
cat /usr/local/share/TFORMer/tfprint.ini 2> /dev/null
echo ""
echo "TFORMer default configuration:"
cat /usr/local/share/TFORMer/TFORMer.xml
echo ""
echo "Supported encodings"
iconv -l
echo ""
echo "Some common environment variables:"
echo "PATH=$PATH"
echo "LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
echo "SHLIB_PATH=$SHLIB_PATH"
echo "LANG=$LANG"
echo "TERM=$TERM"
echo ""
echo "----------------------------------------------------"
echo "Please send the output of this script with a description "
echo "of your problem to support@tec-it.com to get help."
echo ""
echo "See http://www.tec-it.com for more information."
echo ""
echo "You can direct the output of this script to a text file"
echo "using the command:"
echo "sh /usr/local/share/TFORMer/support.sh > output.log"
echo ""
